/// <reference types="vite/client" />

declare module '*.vue' {
	import { DefineComponent } from 'vue'
	interface ImportMetaEnv {
		 // 基础配置
		  readonly VITE_APP_NAME: string
		  readonly UNI_PLATFORM: string
		  
		  // API 配置
		  readonly VITE_API_BASE: string
		  readonly VITE_API_TIMEOUT: string
		  
		  // 调试配置
		  readonly VITE_DEBUG_MODE: string
		  readonly UNI_OUTPUT_DIR: string
		  
		  // 系统环境
		  readonly MODE: "development" | "production"
	}

	interface ImportMeta {
		readonly env : ImportMetaEnv
	}
	// eslint-disable-next-line @typescript-eslint/no-explicit-any, @typescript-eslint/ban-types
	const component : DefineComponent<{}, {}, any>
	export default component
}